#264 patch for sf: 1861812

closed-accepted
nobody
5
2013-12-01
2011-10-10
Dale Blount
No

Since I can't seem to figure out how to attach this to ID 1861812, I'll attach it here.

This adds allowed_quota() calls around every $tQuota in create-mailbox.php

Tested a number of cases and it appears to behave fine for me.

Discussion

  • Dale Blount
    Dale Blount
    2011-10-10

    Patch for SF: 1861812

     
    Attachments
  • Since you didn't respond on #postfixadmin, I'll paste my questions/feedback here:

    [23:23] <cboltz> supa_user: I'm just reading your patch
    [23:23] <cboltz> and found something that looks like a bug to me
    [23:24] <cboltz> you should probably use = allowed_quota($fDomain, 0) everywhere
    [23:24] <cboltz> because a not-yet created mailbox does not use any quota yet ;-)
    [23:27] <cboltz> I also think you should not change the "$tQuota = $fQuota" in line 139
    [23:27] <cboltz> because that line is meant to give the user the values he entered so he can correct them
    [23:28] <cboltz> IMHO it shouldn't be changed magically
    [23:29] <cboltz> (we also don't change other fields if they contain invalid values)
    [23:30] <cboltz> do you agree or did I overlook something? ;-)

     
  • Dale Blount
    Dale Blount
    2011-10-11

    Christian,

    I agree with your changes. Adjusted patch attached.

    Dale

     
  • Dale Blount
    Dale Blount
    2011-10-11

    Adjusted Patch

     
    Attachments
  • Thanks!

    Commited to SVN trunk r1201.

     
    • status: open --> closed-accepted